Subject: For anyone who's been put on a PIP, how likely are you to actually come off of...
From: Glassdoor Community <[email-masked]>
To: [email-masked]
Date: Wed, 13 May 2026 16:25:59 +0000 (UTC)

TJ, explore real talk from across Glassdoor 🍿
 ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏ ‎‏

Trending on Glassdoor

Hey TJ,

Check out the latest hot posts in the Glassdoor community, a hub for workplace real talk and connection.

The Worklife Bowl

Co-publisher

For anyone who's been put on a PIP, how likely are you to actually come off of it? Is it always just a stepping stone to being fired?

17

91 comments

The Worklife Bowl

Principal Consultant

Would it be considered sexual harassment if the male leaders of a project tell the women on the project that they aren't showing up with enough...read more

26

124 comments

The Worklife Bowl

Fidelity Investments

If you work for a company that offers remote work and is generally not terrible to work for, please share the name of the company. Now that fidelity...read more

19

66 comments

The Worklife Bowl

Product Manager

Hello HRs - Can you tell why do you NEVER give any feedback with rejections?

Did 4 interviews where I asked for feedback at the end of my 45 mins...read more

21

46 comments

FIRE Financial Independence Retire Early

EY

So how exactly are people affording so many luxury purchases nowadays? I thought I did things right - $225K+ job, $2M net worth, 36, live way below my...read more

9

40 comments

FIRE Financial Independence Retire Early

PwC

We were aiming for 250k per kid for 529s. Looking at college costs these days I don’t think that is going to be nearly enough? What are people...read more

5

36 comments

The Water Cooler

Senior Production Manager

As a Black Middle Aged Man!

I’m starting to think my race is the issue of me not being able to land a job in this current market!

I’ve been on the...read more

9

31 comments

Interview Tips

Manager

I recently found out that a colleague with less experience than me is making noticeably more, and I cannot stop thinking about it before interviews...read more

20

15 comments

Personal Investment Chatter

Deloitte

Looking to park down payment amount for home in CD or safe boring account for next 6 months as we scan for home. Which are good options available now...read more

3

12 comments

Salary Negotiations

Senior Consultant

I helped a friend negotiate a title and salary bump (of 10k) with extensive research into the role responsibilities and their current experience...read more

6

7 comments

This message was sent to [email-masked]

Privacy Policy | Manage Settings | Unsubscribe

Glassdoor
2261 Market Street STE 10389, San Francisco, CA 94114

Copyright © 2008-2026, Glassdoor LLC. “Glassdoor,” “Worklife Pro,” “Bowls,” and logo are proprietary trademarks of Glassdoor LLC.